Get webhook delivery history
curl --request GET \
--url https://{notifuseDomain}/api/webhookSubscriptions.deliveries \
--header 'Authorization: Bearer <token>'import requests
url = "https://{notifuseDomain}/api/webhookSubscriptions.deliveries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{notifuseDomain}/api/webhookSubscriptions.deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deliveries": [
{
"id": "whdel_x1y2z3",
"subscription_id": "whsub_a1b2c3d4e5f6",
"event_type": "contact.created",
"payload": {},
"status": "delivered",
"attempts": 1,
"max_attempts": 10,
"next_attempt_at": "2024-01-15T10:35:00Z",
"last_attempt_at": "2024-01-15T10:30:00Z",
"delivered_at": "2024-01-15T10:30:00Z",
"last_response_status": 200,
"last_response_body": "{\"received\": true}",
"last_error": null,
"created_at": "2024-01-15T10:30:00Z"
}
],
"total": 150,
"limit": 20,
"offset": 0
}{
"error": "workspace_id is required"
}{
"error": "<string>"
}{
"error": "<string>"
}Webhooks
Get webhook delivery history
Returns the delivery history for a webhook subscription, including status and response information.
GET
/
api
/
webhookSubscriptions.deliveries
Get webhook delivery history
Authorizations
API token for authentication
Query Parameters
The ID of the workspace
The ID of the webhook subscription (optional - if not provided, returns all deliveries for the workspace)
Number of deliveries to return (1-100)
Required range:
1 <= x <= 100Offset for pagination
Required range:
x >= 0⌘I
